<template>
  <v-card color="error">
    <v-card-title>
      Произошла непредвиденная ошибка
      <v-spacer/>
      <v-btn icon @click="reload()">
        <v-icon>autorenew</v-icon>
      </v-btn>
    </v-card-title>
    <v-card-text>
      <small>
        {{ error }}
      </small>
    </v-card-text>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'error',
  props: {
    error: {
      required: true,
    },
  },
  methods: {
    reload() {
      location.reload();
    },
  },
});
</script>

<style scoped>

</style>
